package ibase.dashboard.mfg.ejb;
import java.rmi.RemoteException;

import ibase.webitm.ejb.ValidatorRemote;
import ibase.webitm.utility.ITMException;

import javax.ejb.Remote;

import org.json.simple.JSONObject;
@Remote
public interface HalolMFGReleaseRemote extends ValidatorRemote
{
	public JSONObject getHalolMFGReleaseBatches(String dataSourceName,String month,String geoLoc) throws RemoteException, ITMException;
	public JSONObject getMonthWiseActualRelease(String dataSourceName,String month,String geoLoc) throws RemoteException, ITMException;
	public JSONObject getMonthWisePendingRelease(String dataSourceName,String month,String geoLoc) throws RemoteException, ITMException;
	public JSONObject getSummaryGrid(String dataSourceName,String month,String geoLoc) throws RemoteException, ITMException;
	public JSONObject getTBDBatch(String dataSourceName,String month,String geoLoc) throws RemoteException, ITMException;
	public JSONObject getUnreleasedSummaryGrid(String dataSourceName,String month,String geoLoc) throws RemoteException, ITMException;
	
}
